header {
  height: 65px;
  box-shadow: 0px 1px 2px 1px rgba(0,0,0,.125);
  z-index: 600;
  position: relative;
  background: #fff;
}

nav {
  height: 100%;
  .menu {
    position: absolute;
    height: calc(100vh - 65px);
    width: 100vw;
    flex-direction: column;
    justify-content: space-around;
    top: 0;
    visibility: hidden;
    opacity: 0;
    transform: translate3d(-100%, 65px, 0);
    transition: all .25s ease-in-out;
    padding: 0 0 10rem 0;
    @include breakpoint(large) {
      position: relative;
      flex-direction: row;
      height: auto;
      width: auto;
      visibility: visible;
      opacity: 1;
      transform: translate3d(0, 0, 0);
      justify-content: flex-end;
      background-color: #fff;
      padding: 0 0 0 0;
    }
    li {
      position: relative;
      &:hover, &:focus, &:active {
        background: $vapor;
      }
      a {
        font-size: 2rem;
        text-transform: uppercase;
        font-weight: 600;
        color: $dark;
        @include breakpoint(large) {
          font-size: 1rem;
        }
        &:hover, &:focus, &:active {
          color: $blue;
          text-decoration: none;
        }
      }
      .sub-menu {
        opacity: 0;
        visibility: hidden;
        position: absolute;
        top: 30px;
        left: 0;
        background: #fff;
        transition: all .125s ease-in-out;
        padding-top: 15px;
        width: 220px;
        margin: 0;
        z-index: 500;
        border: 2px solid $vapor;
        li {
          justify-content: flex-start;
          a {
            width: 100%;
          }
        }
      }
      &:hover, &:focus, &:active {
        .sub-menu {
          opacity: 1;
          visibility: visible;
          top: 38px;
        }
      }
    }
  }
}

/***** Hamburger Icon ******/


#nav-icon {
  cursor: pointer;
  position: absolute;
  width: 2.5rem;
  float: right;
  height: 2rem;
  padding: 5px 0 0 0;
  right: 5%;
}

nav {
  #nav-icon.active {
    position: fixed;
    z-index: 1000;
    + .title {
      position: fixed;
      z-index: 1000;
      top: 20px;
    }
  }
}

#nav-icon div{
  background: #000;
  height: 4px;
  margin-bottom: 6px;
  width: 100%;
  transition: all 50ms ease-in-out;
}

#nav-icon .one {
  width: 80%;
}

#nav-icon .two {
  transition: opacity 50ms ease-out;
}

#nav-icon.active + .menu {
  display: flex;
  position: fixed;
  z-index: 999;
  height: calc(100vh - 65px);
  top: 0;
  left: 0;
  justify-content: space-around;
  text-align: center;
  visibility: visible;
  opacity: 1;
  transform: translate3d(0, 65px, 0);
}

#nav-icon.active .one {
  width: 100%;
  transform: rotate(45deg)
  translate(5px, 9px);
}

#nav-icon.active .two {
  opacity: 0;
}

#nav-icon.active .three {
  transform: rotate(-45deg)
    translate(5px, -9px);

}
.logo {
  margin: 1rem 0;
  display: block;
  max-width: 16rem;
  @include breakpoint(large) {
    max-width: 100%;
  }
  img {
    margin: 0 auto;
    display: block;
    max-width: 100%;
    padding: 0 10px;
  }
}